package com.steering.pss.plnsaleord.order.model;

/**
 * 数据库表CRAFT_ORD_DESIGN_MSC_PL所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author DESKTOP-LI8OG3P date 2017-01-19
 */
@SuppressWarnings("serial")
public class CraftOrdDesignMscPlEntity implements java.io.Serializable {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 */
	private String mscPline = "";
	/**
	 * 全程途径码
	 */
	private String wholeBacklog = "";
	/**
	 * 全程途径描述
	 */
	private String wholeBacklogDesc = "";
	/**
	 * 是否设定制程(0:否;1:是)
	 */
	private String setFl = "";
	/**
	 * 警告信息
	 */
	private String warnDesc = "";
	/**
	 * 合同号
	 */
	private String ordLnPk = "";
	/**
	 * 有效标志
	 */
	private String validflag = "";
	/**
	 * TPCO工艺单号
	 */
	private String processNo = "";
	/**
	 * 工艺单责任人
	 */
	private String processName = "";
	/**
	 * 是否自动生成工艺文件(1:是 0:否)
	 */
	private String autoCraft = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 全程途径码
	 * 
	 * @return value
	 */
	public String getWholeBacklog() {
		return wholeBacklog;
	}

	/**
	 * 全程途径码
	 * 
	 * @param wholeBacklog
	 *            value
	 */
	public void setWholeBacklog(String wholeBacklog) {
		this.wholeBacklog = wholeBacklog;
	}

	/**
	 * 全程途径描述
	 * 
	 * @return value
	 */
	public String getWholeBacklogDesc() {
		return wholeBacklogDesc;
	}

	/**
	 * 全程途径描述
	 * 
	 * @param wholeBacklogDesc
	 *            value
	 */
	public void setWholeBacklogDesc(String wholeBacklogDesc) {
		this.wholeBacklogDesc = wholeBacklogDesc;
	}

	/**
	 * 是否设定制程(0:否;1:是)
	 * 
	 * @return value
	 */
	public String getSetFl() {
		return setFl;
	}

	/**
	 * 是否设定制程(0:否;1:是)
	 * 
	 * @param setFl
	 *            value
	 */
	public void setSetFl(String setFl) {
		this.setFl = setFl;
	}

	/**
	 * 警告信息
	 * 
	 * @return value
	 */
	public String getWarnDesc() {
		return warnDesc;
	}

	/**
	 * 警告信息
	 * 
	 * @param warnDesc
	 *            value
	 */
	public void setWarnDesc(String warnDesc) {
		this.warnDesc = warnDesc;
	}

	/**
	 * 合同号
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * 合同号
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	/**
	 * 有效标志
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * TPCO工艺单号
	 * 
	 * @return value
	 */
	public String getProcessNo() {
		return processNo;
	}

	/**
	 * TPCO工艺单号
	 * 
	 * @param processNo
	 *            value
	 */
	public void setProcessNo(String processNo) {
		this.processNo = processNo;
	}

	/**
	 * 工艺单责任人
	 * 
	 * @return value
	 */
	public String getProcessName() {
		return processName;
	}

	/**
	 * 工艺单责任人
	 * 
	 * @param processName
	 *            value
	 */
	public void setProcessName(String processName) {
		this.processName = processName;
	}

	/**
	 * 是否自动生成工艺文件(1:是 0:否)
	 * 
	 * @return value
	 */
	public String getAutoCraft() {
		return autoCraft;
	}

	/**
	 * 是否自动生成工艺文件(1:是 0:否)
	 * 
	 * @param autoCraft
	 *            value
	 */
	public void setAutoCraft(String autoCraft) {
		this.autoCraft = autoCraft;
	}
}
